Page tree
Skip to end of metadata
Go to start of metadata

Updating to HyprMediate 2.1

Remove the HyprMediate.framework and any ad providers and their HyprAdapter files. Click 'Move to Trash' when removing.

Drag and drop the new 2.1 version of the HyprMediate.framework (available in the SDK disk image) file into your Xcode project. Select "copy items if needed" and "create groups" when prompted.

Add libxml2.tbd to the linked frameworks for your target. Make sure HyprMediate.framework is listed as well.


Replace each ad provider you removed with the latest version from our downloads page. If applicable, follow the AdColony and Vungle integration guides because they have new requirements.

App Transport Security

HyprMediate SDK 2.1 requires that you add NSAllowsArbitraryLoadsInWebContent in addition to NSAllowsArbitraryLoads to your Info.plistNSAllowsArbitraryLoads is required for iOS 9 backwards compatibility. 

 

	<key>NSAppTransportSecurity</key>
	<dict>
		<key>NSAllowsArbitraryLoads</key>
		<true/>
	    <key>NSAllowsArbitraryLoadsInWebContent</key>
	    <true/>       
	</dict>

 

Your Info.plist should look like this after adding these lines:


That's it! You're up and running with HyprMediate. To add more ad providers, click here.

  • No labels